.loading-dock {
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  


  button.submit:active {
    transform: scale(0.95);
  }
  button.submit:focus {
    outline: none;
    background-color: #007556;
    border-color: #00684c;
    color: white;
  }
  button.submit.popout {
    animation: circle-to-button .5s linear forwards;
  }
  button.submit.return {
    animation: fade-to-original .3s linear;
  }
  button.submit.return:hover {
    background-color: #007556;
    border-color: #00684c;
    color: white;
  }
  
  .loaded button.submit {
    background-color: #007556;
    animation: button-to-circle .5s linear forwards;
    animation-delay: .3s;
  }
  .loaded #load {
    animation: loading-circle 3s linear forwards;
    animation-delay: 1s;
  }
  
  #load, #load-b {
    display: none;
    position: absolute;
    width: 58px;
    height: 58px;
    opacity: 0;
  }
  #load .loading-inner, #load-b .loading-inner {
    stroke-dasharray: 900;
    stroke-width: 8;
    stroke-miterlimit: 10;
    stroke-linecap: round;
    stroke: #c3c3c3;
    fill: transparent;
  }
  
  #load-b {
    opacity: 0;
  }
  #load-b .loading-inner {
    stroke: #007556;
  }
  
  svg {
    position: absolute;
    display: none;
  }
  
  @keyframes loading-circle {
    0% {
      opacity: 1;
      stroke-dashoffset: 0;
    }
    50% {
      opacity: 1;
      stroke-dashoffset: -100;
    }
    100% {
      opacity: 1;
      stroke-dashoffset: -600;
    }
  }
  @keyframes button-to-circle {
    0% {
      width: 100%;
      color: #007556;
      border-color: #007556;
      background-color: #007556;
    }
    50% {
      color: rgba(255, 255, 255, 0);
    }
    90% {
      width: 50px;
      color: rgba(255, 255, 255, 0);
      border-color: #c3c3c3;
    }
    100% {
      width: 50px;
      border-color: rgba(255, 255, 255, 0);
      color: rgba(255, 255, 255, 0);
      background-color: rgba(255, 255, 255, 0);
    }
  }
  @keyframes circle-to-button {
    0% {
      border-color: #007556;
      background-color: #007556;
      height: 50px;
      width: 50px;
    }
    50% {
      height: 50px;
      width: 50px;
    }
    100% {
      height: 50px;
      width: 100%;
      border-color: #007556;
      background-color: #007556;
    }
  }
  @keyframes fade-to-original {
    0% {
      background-color: #007556;
    }
    100% {
      background-color: white;
    }
  }
  
  #times{
      position: absolute;
      width: 24px;
      height: 20px;
      font-size: 20px;
      color: white;
  }

  .error-submit{
      background-color: red !important;
  }